compact1, compact2, compact3
java.nio.file

## Class NotLinkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.file.FileSystemException
        - - java.nio.file.NotLinkException

- All Implemented Interfaces:
    Serializable

      public class NotLinkException
      extends FileSystemException

  Checked exception thrown when a file system operation fails because a file is not a symbolic link.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotLinkException(String file)` | Constructs an instance of this class.
    `NotLinkException(String file, String other, String reason)` | Constructs an instance of this class.

  - ### Method Summary

    - ### Methods inherited from class java.nio.file.FileSystemException

      `getFile, getMessage, getOtherFile, getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotLinkException

          public NotLinkException(String file)

      Constructs an instance of this class.
      Parameters:
        `file` - a string identifying the file or `null` if not known

    - #### NotLinkException

          public NotLinkException(String file,
                                  String other,
                                  String reason)

      Constructs an instance of this class.
      Parameters:
        `file` - a string identifying the file or `null` if not known
        `other` - a string identifying the other file or `null` if not known
        `reason` - a reason message with additional information or `null`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.